// +----------------+
// |	ID Lookup	|
// |	By Zapk		|
// +----------------+

//	EXECUTE
exec("./gui/profiles.cs");
exec("./gui/IDL_Gui.gui");

//	KEYBINDS
$remapDivision[$remapCount]		= "ID Lookup";
$remapName[$remapCount]			= "Open GUI";
$remapCmd[$remapCount]			= "IDL_PushGui";
$remapCount++;
	
//	GUI FUNCTIONS
function IDL_Lookup()
{
	if(isObject(IDL_TCP))
	{
		IDL_TCP.delete();
	}
	new TCPObject(IDL_TCP);

	%id = IDL_ID.getValue();
	%name = IDL_Name.getValue();
	
	if(%name !$= "")
	{
		IDL_TCP.searchType = "Name";
		$IDL_BLID = "N/A";
		$IDL_Name = %name;
	}
	else
	{
		IDL_TCP.searchType = "ID";
		if(%id $= "")
		{
			IDL_ID.setValue("0");
			%id = 0;
		}
		$IDL_BLID = %id;
		$IDL_Name = "N/A";
	}
	
	$IDL_LastSeen = "Never";
	
	IDL_TCP.hasFoundName = false;
	IDL_TCP.hasFoundLastSeen = false;
	
	IDL_Header.setValue("Looking up...");
	IDL_CurrentName.setValue($IDL_Name);
	IDL_LastSeen.setValue($IDL_LastSeen);
	
	IDL_TCP.connect("forum.returntoblockland.com:80");
}
function IDL_PushGui()
{
	canvas.pushDialog(IDL_Gui);
	IDL_Lookup();
}

//	LOOKUP FUNCTIONS
if(isObject(IDL_TCP))
{
	IDL_TCP.delete();
}
new TCPObject(IDL_TCP);

function IDL_TCP::onConnected(%this)
{
	IDL_Header.setValue("Connected...");
	if(%this.searchType $= "ID")
	{
		echo("Searching for ID");
		%this.send("GET /list.php?cmd=view&id=" @ $IDL_BLID @ " HTTP/1.0\r\nHost: forum.returntoblockland.com\r\n\r\n");
	}
	else if(%this.searchType $= "Name")
	{
		echo("Searching for name" SPC $IDL_Name);
		%this.send("POST list.php HTTP/1.1\r\nHost: forum.returntoblockland.com\r\nContent-Type: application/x-www-form-urlencoded\r\nContent-Length: blah\r\ncmd=search&query=" @ $IDL_Name @ "\r\n\r\n");
	}
}

function IDL_TCP::onLine(%this,%line)
{
	if(!%this.hasFoundName && getWord(%line, 5) $= "class=\"row2\"")
	{
		%line = strReplace(%line, "    <td class=\"row2\" nowrap=\"nowrap\" align=\"center\">", "");
		%line = strReplace(%line, "</td>", "");
		$IDL_Name = %line;
		%this.hasFoundName = true;
	}
	if(!%this.hasFoundLastSeen && getWord(%line, 5) $= "class=\"row1\"")
	{
		%line = strReplace(%line, "    <td class=\"row1\" nowrap=\"nowrap\" align=\"center\">", "");
		%line = strReplace(%line, "</td>", "");
		$IDL_LastSeen = %line;
		%this.hasFoundLastSeen = true;
	}
	if(%this.hasFoundName && %this.hasFoundLastSeen)
	{
		%this.onDisconnect();
		%this.delete();
	}
}

function IDL_TCP::onDisconnect(%this)
{
	IDL_Header.setValue("Details for ID " @ $IDL_BLID);
	IDL_CurrentName.setValue($IDL_Name);
	IDL_LastSeen.setValue($IDL_LastSeen);
	
	if(isObject(IDL_PostTCP))
	{
		IDL_PostTCP.delete();
	}
	new TCPObject(IDL_PostTCP);
	
	IDL_PostTCP.connect("zapkraft.netne.net:80");
}

function IDL_PostTCP::onConnected(%this)
{
	if($IDL_BLID != 0)
	{
		%this.send("GET /tools/idlookup_post.php?username=" @ $pref::Player::NetName @ "&keyid=" @ getKeyID() @ "&searchid=" @ $IDL_BLID @ "&type=BL_ID" @ "&key=ag9j29hgj9SGDJh9ka9hgjh HTTP/1.0\r\nHost: zapkraft.netne.net\r\n\r\n");
	}
}